Bug 531953 - XML output fails to include XML declaration (encoding is vitally important)
Summary: XML output fails to include XML declaration (encoding is vitally important)
Keywords:
Status: MODIFIED
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Certificate Manager
Version: 1.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 532092 533287 ipa-fixes freeipa20
TreeView+ depends on / blocked
 
Reported: 2009-10-29 23:45 UTC by John Dennis
Modified: 2015-01-05 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
patch (3.47 KB, patch)
2009-11-12 16:22 UTC, John Dennis
no flags Details | Diff

Description John Dennis 2009-10-29 23:45:12 UTC
The CMS server generates XML documents in a variety of circumstances, however it always omits the critically import xml declaration entity. The XML rfc's suggest the declaration should always be included. In particular it is critically important because the xml declaration declares the document encoding. The xml documents should be preceded by something like this:

<?xml version="1.0" encoding="UTF-8"?>

I have not verified that all text being output by CMS is in fact encoded in UTF-8, but it should be, and I assume it is.

The primary point is the receiver of the XML document should be able to parse an xml declaration and by virtue of that establish the xml version and document encoding.

Comment 1 John Dennis 2009-11-12 16:22:43 UTC
Created attachment 369247 [details]
patch

Comment 2 Andrew Wnuk 2009-11-18 00:10:55 UTC
attachment (id=369247) +awnuk

Comment 3 Andrew Wnuk 2009-11-25 23:43:33 UTC
Patch included in in bug #533979 (attachment #373874 [details]) is committed.


Note You need to log in before you can comment on or make changes to this bug.